Fuel plugin for Congress integration
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

metadata.yaml 1.1KB

1234567891011121314151617181920212223242526272829303132333435363738
  1. # Plugin name
  2. name: congress
  3. # Human-readable name for your plugin
  4. title: Fuel Congress plugin
  5. # Plugin version
  6. version: '1.0.0'
  7. # Description
  8. description: Install Congress
  9. # Required fuel version
  10. fuel_version: ['9.0', '10.0']
  11. # Specify license of your plugin
  12. licenses: ['Apache License Version 2.0']
  13. # Specify author or company name
  14. authors: ['Fedor Zhadaev', 'Mirantis']
  15. # A link to the plugin's page
  16. homepage: 'https://github.com/openstack/fuel-plugin-congress'
  17. # Specify a group which your plugin implements, possible options:
  18. # network, storage, storage::cinder, storage::glance, hypervisor
  19. groups: []
  20. # Change `false` to `true` if the plugin can be installed in the environment
  21. # after the deployment.
  22. is_hotpluggable: false
  23. # The plugin is compatible with releases in the list
  24. releases:
  25. - os: ubuntu
  26. version: mitaka-9.0
  27. mode: ['ha']
  28. deployment_scripts_path: deployment_scripts/
  29. repository_path: repositories/ubuntu
  30. - os: ubuntu
  31. version: newton-10.0
  32. mode: ['ha']
  33. deployment_scripts_path: deployment_scripts/
  34. repository_path: repositories/ubuntu
  35. # Version of plugin package
  36. package_version: '4.0.0'